searchData={"content_type":"text/markdown","items":[{"doc":"A parameterized Ecto type for UUID version 7 strings.\n\nAn extension to `Ecto.UUID`. To use the original UUID as your primary key:\n\n```elixir\ndefmodule Doc do\n  use Ecto.Schema\n\n  @primary_key {:uuid, :binary_id, autogenerate: true}\n  schema \"doc\" do\n    ...\n  end\nend\n```\n\nTo use a tagged version 7 UUID:\n\n```elixir\ndefmodule Doc do\n  use Ecto.Schema\n  alias Ecto.UUID7\n\n  schema \"doc\" do\n    field :id, UUID7,\n      primary_key: true,\n      autogenerate: true,\n      skip_default_validation: true,\n      tag: :0xd0c\n  end\nend\n```","ref":"Ecto.UUID7.html","title":"Ecto.UUID7","type":"module"},{"doc":"","ref":"Ecto.UUID7.html#load/1","title":"Ecto.UUID7.load/1","type":"function"},{"doc":"","ref":"Ecto.UUID7.html#t:params/0","title":"Ecto.UUID7.params/0","type":"type"}]}